FLANG

Public Types | Public Member Functions | List of all members
Fortran::parser::Message Class Reference
Inheritance diagram for Fortran::parser::Message:

## Public Types
using | Reference = common::CountedReference< Message >

## Public Member Functions
| Message (const Message &)=default
| Message (Message &&)=default
Message & | operator= (const Message &)=default
Message & | operator= (Message &&)=default
| Message (ProvenanceRange pr, const MessageFixedText &t)
| Message (ProvenanceRange pr, const MessageFormattedText &s)
| Message (ProvenanceRange pr, MessageFormattedText &&s)
| Message (ProvenanceRange pr, const MessageExpectedText &t)
| Message (CharBlock csr, const MessageFixedText &t)
| Message (CharBlock csr, const MessageFormattedText &s)
| Message (CharBlock csr, MessageFormattedText &&s)
| Message (CharBlock csr, const MessageExpectedText &t)
template<typename RANGE , typename A , typename... As>
| Message (RANGE r, const MessageFixedText &t, A &&x, As &&... xs)
bool | attachmentIsContext () const
Reference | attachment () const
void | SetContext (Message *c)
Message & | Attach (Message *)
Message & | Attach (std::unique_ptr< Message > &&)
template<typename... A>
Message & | Attach (A &&... args)
bool | SortBefore (const Message &that) const
bool | IsFatal () const
std::string | ToString () const
std::optional< ProvenanceRange > | GetProvenanceRange (const CookedSource &) const
void | Emit (llvm::raw_ostream &, const CookedSource &, bool echoSourceLine=true) const
void | ResolveProvenances (const CookedSource &)
bool | IsMergeable () const
bool | Merge (const Message &)
Public Member Functions inherited from Fortran::common::ReferenceCounted< Message >
void | TakeReference ()
void | DropReference ()

The documentation for this class was generated from the following files:

- include/flang/Parser/message.h
- lib/Parser/message.cpp